Subject: Re: [PATCH 2/2] sysctl: lockdep support for sysctl reference counting.

From: [email-masked] (Eric W. Biederman)
Date: Tue, 31 Mar 2009 01:47:29 -0700

Peter Zijlstra <[email-masked]> writes:

> On Mon, 2009-03-30 at 15:26 -0700, Andrew Morton wrote:
>> So I merged these two patches.  I designated them as to-be-merged via
>> Alexey, with a Cc:Peter (IOW: wakey wakey ;))
>
> Ah, I was under the impression they weren't quite finished yet,
> apparently I was mistaken.
>
> Eric, didn't you need recursive locks fixed and such?

In theory.  In practice I removed the one case that could legitimately
recurse.

> Let me have a look at them.